Skip to content
DELETE /unified/e-signature/document_fields/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

signing_requestobject

The signing request on which the field is found

idstring

The unique identifier for the signing request

documentobject

The document on which the field is found

idstring

The unique identifier for the document

page_numberstring

The page number of which the field is found inside the document

positionobject
2 properties
xstring

The X-axis coordinate position for the field

ystring

The Y-axis coordinate position for the field

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

created_atstring · date-time

The date and time when the document field was created

documentobject

The document on which the field is found

idstring

The unique identifier for the document

page_numberstring

The page number of which the field is found inside the document

positionobject
2 properties
xstring

The X-axis coordinate position for the field

ystring

The Y-axis coordinate position for the field

idstring

The unique identifier for the document field

1 supported
DocuSign
supported
is_read_onlyboolean

Specifies if the field can be edited by the participants

is_requiredboolean

Specifies if the field is required to be filled by the participants to complete the signing request

labelstring

Human readable name for the field

participantobject

The participant who needs to fill this field

idstring

The unique identifier of the participant

remote_dataRecord<string, any>

Raw data returned from the remote API call.

signing_requestobject

The signing request on which the field is found

idstring

The unique identifier for the signing request

typestring

The type of the field

Possible values:
signatureinitialsfull_namesigning_datecompany_nametitletextemail
updated_atstring · date-time

The date and time when the document field was updated

curl -X DELETE 'https://api.truto.one/unified/e-signature/document_fields/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/e-signature/document_fields/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/document_fields/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'e-signature',
  'documentfields',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "e-signature",
        "documentfields",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())